##Summary
**The aim of this module is to provide Content Managers with a means to place a region (one or more blocks) anywhere within the content of a node.**

This is achieved by using tokens that represent block regions, which are inserted into the node content.  These tokens are rendered into their respective regions and the blocks assigned to the regions thus appear inside the node content.

Since we're using a token, the placement of the region can and will vary from node to node.  This can be thought of as an "inline" region.

The block visibility settings (Pages, Content Types, Roles, Users) work just as you would expect under the normal circumstances of a standard region.

This module is one answer to the question, "How do I place blocks inside of nodes?"  It takes a slightly different approace than the Insert Block module (read more below).


##Requirements
You must have both the [Token](https://drupal.org/project/token) and [Token Filter](https://drupal.org/project/token_filter) modules enabled.


##Installation
1. Download and unzip this module into your modules directory.
1. Goto Administer > Site Building > Modules and enable this module.


##Configuration
1. Visit `/admin/config/content/region-tokens` and define one or more regions to be available as tokens.  These will now be visible in the token tree under the group _Block Regions_.
2. Now make sure you have at least one block assigned to the region you just enabled.
3. Inside the node edit form wherein you wish to place the region, insert the appropriate region token. (For a list of tokens visit: `/admin/help/token` and refer to the token group _Block Regions_.)
4. After saving the node, you should see the region rendered in place of the token, inside the node content!
5. If you do not see what you expected, take a look at the Recent log messages `/admin/reports/dblog`.

## Similar Modules
### [Insert Block](https://drupal.org/project/insert_block)
Region Blocks differs in that it thinks in terms of a region, rather than a single block.  Also, mechanically speaking, Insert Block is a filter, whereas this module works by providing a token and then leveraging the [Token Filter](https://drupal.org/project/token_filter) module to do the inserting of said token into the content.


##Suggested Use
1. In practice, I generally create a region in my custom theme devoted only to this type of thing, something like:

        regions[inline] = Inline
        
2. Be aware that if you set your visibility settings incorrectly, the block token will return an empty string, rather than the region you're expecting.


## Performance Warning!
1. **It is critical for performance sake that you set the block visibility to ONLY those node pages** where you will be implementing the tokens.  For more information read [this post](http://www.lullabot.com/blog/article/drupal-performance-tip-block-visibility) by Angie Byron.


##Contact
* **In the Loft Studios**
* Aaron Klump - Developer
* PO Box 29294 Bellingham, WA 98228-1294
* _aim_: theloft101
* _skype_: intheloftstudios
* _d.o_: aklump
* <http://www.InTheLoftStudios.com>
